// Code generated by helical. DO NOT EDIT.
//  based on github.com/nicklaw5/helix/v2

package helical

import (
	"github.com/nicklaw5/helix/v2"
)

type Client interface{
	AddBlockedTerm(arg1 *helix.AddBlockedTermParams) (out0 helix.ManyAddBlockedTerms, out1 error)
	AddChannelModerator(arg1 *helix.AddChannelModeratorParams) (_ *helix.AddChannelModeratorResponse, out1 error)
	AddChannelVip(arg1 *helix.AddChannelVipParams) (_ *helix.AddChannelVipResponse, out1 error)
	BanUser(arg1 *helix.BanUserParams) (out0 helix.ManyBanUser, out1 error)
	BlockUser(arg1 *helix.BlockUserParams) (_ *helix.BlockUserResponse, out1 error)
	CancelRaid(arg1 *helix.CancelRaidParams) (_ *helix.CancelRaidResponse, out1 error)
	CheckUserSubscription(arg1 *helix.UserSubscriptionsParams) (out0 helix.ManyUserSubscriptions, out1 error)
	CreateClip(arg1 *helix.CreateClipParams) (out0 helix.ManyClipEditURLs, out1 error)
	CreateCustomReward(arg1 *helix.ChannelCustomRewardsParams) (out0 helix.ManyChannelCustomRewards, out1 error)
	CreateEntitlementsUploadURL(arg1 string, arg2 string) (out0 helix.ManyEntitlementsUploadURLs, out1 error)
	CreateEventSubSubscription(arg1 *helix.EventSubSubscription) (out0 helix.ManyEventSubSubscriptions, out1 error)
	CreateExtensionSecret(arg1 *helix.ExtensionSecretCreationParams) (out0 helix.ManyExtensionSecrets, out1 error)
	CreatePoll(arg1 *helix.CreatePollParams) (out0 helix.ManyPolls, out1 error)
	CreatePrediction(arg1 *helix.CreatePredictionParams) (out0 helix.ManyPredictions, out1 error)
	CreateScheduleSegment(arg1 *helix.CreateScheduleSegmentParams) (out0 helix.CreateScheduleSegmentData, out1 error)
	CreateStreamMarker(arg1 *helix.CreateStreamMarkerParams) (out0 helix.ManyCreateStreamMarkers, out1 error)
	DeleteAllChatMessages(arg1 *helix.DeleteAllChatMessagesParams) (_ *helix.DeleteAllChatMessagesResponse, out1 error)
	DeleteChatMessage(arg1 *helix.DeleteChatMessageParams) (_ *helix.DeleteChatMessageResponse, out1 error)
	DeleteCustomRewards(arg1 *helix.DeleteCustomRewardsParams) (_ *helix.DeleteCustomRewardsResponse, out1 error)
	DeleteScheduleSegment(arg1 *helix.DeleteScheduleSegmentParams) (_ *helix.DeleteScheduleSegmentResponse, out1 error)
	DeleteVideos(arg1 *helix.DeleteVideosParams) (_ *helix.DeleteVideosResponse, out1 error)
	EditChannelInformation(arg1 *helix.EditChannelInformationParams) (_ *helix.EditChannelInformationResponse, out1 error)
	EndPoll(arg1 *helix.EndPollParams) (out0 helix.ManyPolls, out1 error)
	EndPrediction(arg1 *helix.EndPredictionParams) (out0 helix.ManyPredictions, out1 error)
	ExtensionCreateClaims(arg1 *helix.ExtensionCreateClaimsParams) (out0 *helix.TwitchJWTClaims, out1 error)
	ExtensionJWTSign(arg1 *helix.TwitchJWTClaims) (out0 string, out1 error)
	ExtensionJWTVerify(arg1 string) (out0 *helix.TwitchJWTClaims, out1 error)
	FormBroadcastSendPubSubPermissions() (out0 *helix.PubSubPermissions)
	FormGenericPubSubPermissions() (out0 *helix.PubSubPermissions)
	FormGlobalSendPubSubPermissions() (out0 *helix.PubSubPermissions)
	FormWhisperSendPubSubPermissions(arg1 string) (out0 *helix.PubSubPermissions)
	GetAppAccessToken() (out0 string)
	GetAuthorizationURL(arg1 *helix.AuthorizationURLParams) (out0 string)
	GetBannedUsers(arg1 *helix.BannedUsersParams) (out0 helix.ManyBans, out1 error)
	GetBitsLeaderboard(arg1 *helix.BitsLeaderboardParams) (out0 helix.ManyUserBitTotals, out1 error)
	GetBlockedTerms(arg1 *helix.BlockedTermsParams) (out0 helix.ManyBlockedTerms, out1 error)
	GetChannelChatBadges(arg1 *helix.GetChatBadgeParams) (out0 helix.ManyChatBadge, out1 error)
	GetChannelChatChatters(arg1 *helix.GetChatChattersParams) (out0 helix.ManyChatChatters, out1 error)
	GetChannelEditors(arg1 *helix.ChannelEditorsParams) (out0 helix.ManyChannelEditors, out1 error)
	GetChannelEmotes(arg1 *helix.GetChannelEmotesParams) (out0 helix.ManyEmotes, out1 error)
	GetChannelFollows(arg1 *helix.GetChannelFollowsParams) (out0 helix.ManyChannelFollows, out1 error)
	GetChannelInformation(arg1 *helix.GetChannelInformationParams) (out0 helix.ManyChannelInformation, out1 error)
	GetChannelVips(arg1 *helix.GetChannelVipsParams) (out0 helix.ManyChannelVips, out1 error)
	GetCharityCampaigns(arg1 *helix.CharityCampaignsParams) (out0 helix.ManyCharityCampaigns, out1 error)
	GetCharityDonations(arg1 *helix.CharityDonationParams) (out0 helix.ManyCharityDonations, out1 error)
	GetChatSettings(arg1 *helix.GetChatSettingsParams) (out0 helix.ManyChatSettings, out1 error)
	GetCheermotes(arg1 *helix.CheermotesParams) (out0 helix.ManyCheermotes, out1 error)
	GetClips(arg1 *helix.ClipsParams) (out0 helix.ManyClips, out1 error)
	GetCreatorGoals(arg1 *helix.GetCreatorGoalsParams) (out0 helix.ManyGoals, out1 error)
	GetCustomRewards(arg1 *helix.GetCustomRewardsParams) (out0 helix.ManyChannelCustomRewards, out1 error)
	GetDropsEntitlements(arg1 *helix.GetDropEntitlementsParams) (out0 helix.ManyEntitlementsWithPagination, out1 error)
	GetEmoteSets(arg1 *helix.GetEmoteSetsParams) (out0 helix.ManyEmotesWithOwner, out1 error)
	GetEntitlementCodeStatus(arg1 *helix.CodesParams) (out0 helix.ManyCodes, out1 error)
	GetEventSubSubscriptions(arg1 *helix.EventSubSubscriptionsParams) (out0 helix.ManyEventSubSubscriptions, out1 error)
	GetExtensionAnalytics(arg1 *helix.ExtensionAnalyticsParams) (out0 helix.ManyExtensionAnalytics, out1 error)
	GetExtensionConfigurationSegment(arg1 *helix.ExtensionGetConfigurationParams) (out0 helix.ManyExtensionConfigurationSegments, out1 error)
	GetExtensionLiveChannels(arg1 *helix.ExtensionLiveChannelsParams) (out0 helix.ManyExtensionLiveChannels, out1 error)
	GetExtensionSecrets(arg1 *helix.GetExtensionSecretParams) (out0 helix.ManyExtensionSecrets, out1 error)
	GetExtensionSignedJWTToken() (out0 string)
	GetExtensionTransactions(arg1 *helix.ExtensionTransactionsParams) (out0 helix.ManyExtensionTransactions, out1 error)
	GetFollowedChannels(arg1 *helix.GetFollowedChannelParams) (out0 helix.ManyFollowedChannels, out1 error)
	GetFollowedStream(arg1 *helix.FollowedStreamsParams) (out0 helix.ManyStreams, out1 error)
	GetGameAnalytics(arg1 *helix.GameAnalyticsParams) (out0 helix.ManyGameAnalytics, out1 error)
	GetGames(arg1 *helix.GamesParams) (out0 helix.ManyGames, out1 error)
	GetGlobalChatBadges() (out0 helix.ManyChatBadge, out1 error)
	GetGlobalEmotes() (out0 helix.ManyEmotes, out1 error)
	GetHypeTrainEvents(arg1 *helix.HypeTrainEventsParams) (out0 helix.ManyHypeTrainEvents, out1 error)
	GetModerators(arg1 *helix.GetModeratorsParams) (out0 helix.ManyModerators, out1 error)
	GetPolls(arg1 *helix.PollsParams) (out0 helix.ManyPolls, out1 error)
	GetPredictions(arg1 *helix.PredictionsParams) (out0 helix.ManyPredictions, out1 error)
	GetRefreshToken() (out0 string)
	GetSchedule(arg1 *helix.GetScheduleParams) (out0 helix.GetScheduleData, out1 error)
	GetStreamKey(arg1 *helix.StreamKeyParams) (out0 helix.ManyStreamKeys, out1 error)
	GetStreamMarkers(arg1 *helix.StreamMarkersParams) (out0 helix.ManyStreamMarkers, out1 error)
	GetStreams(arg1 *helix.StreamsParams) (out0 helix.ManyStreams, out1 error)
	GetSubscriptions(arg1 *helix.SubscriptionsParams) (out0 helix.ManySubscriptions, out1 error)
	GetTopGames(arg1 *helix.TopGamesParams) (out0 helix.ManyGamesWithPagination, out1 error)
	GetUserAccessToken() (out0 string)
	GetUserActiveExtensions(arg1 *helix.UserActiveExtensionsParams) (out0 helix.UserActiveExtensionSet, out1 error)
	GetUserChatColor(arg1 *helix.GetUserChatColorParams) (out0 helix.GetUserChatColorResponse, out1 error)
	GetUserExtensions() (out0 helix.ManyUserExtensions, out1 error)
	GetUsers(arg1 *helix.UsersParams) (out0 helix.ManyUsers, out1 error)
	GetUsersBlocked(arg1 *helix.UsersBlockedParams) (out0 helix.ManyUsersBlocked, out1 error)
	GetUsersFollows(arg1 *helix.UsersFollowsParams) (out0 helix.ManyFollows, out1 error)
	GetVideos(arg1 *helix.VideosParams) (out0 helix.ManyVideos, out1 error)
	GetWebhookSubscriptions(arg1 *helix.WebhookSubscriptionsParams) (out0 helix.ManyWebhookSubscriptions, out1 error)
	ModerateHeldMessage(arg1 *helix.HeldMessageModerationParams) (_ *helix.HeldMessageModerationResponse, out1 error)
	OnUserAccessTokenRefreshed(arg1 func(string, string)) 
	PostWebhookSubscription(arg1 *helix.WebhookSubscriptionPayload) (_ *helix.WebhookSubscriptionResponse, out1 error)
	RedeemEntitlementCode(arg1 *helix.CodesParams) (out0 helix.ManyCodes, out1 error)
	RefreshUserAccessToken(arg1 string) (out0 helix.AccessCredentials, out1 error)
	RemoveBlockedTerm(arg1 *helix.RemoveBlockedTermParams) (_ *helix.RemoveBlockedTermResponse, out1 error)
	RemoveChannelModerator(arg1 *helix.RemoveChannelModeratorParams) (_ *helix.RemoveChannelModeratorResponse, out1 error)
	RemoveChannelVip(arg1 *helix.RemoveChannelVipParams) (_ *helix.RemoveChannelVipResponse, out1 error)
	RemoveEventSubSubscription(arg1 string) (_ *helix.RemoveEventSubSubscriptionParamsResponse, out1 error)
	RequestAppAccessToken(arg1 []string) (out0 helix.AccessCredentials, out1 error)
	RequestUserAccessToken(arg1 string) (out0 helix.AccessCredentials, out1 error)
	RevokeUserAccessToken(arg1 string) (_ *helix.RevokeAccessTokenResponse, out1 error)
	SearchCategories(arg1 *helix.SearchCategoriesParams) (out0 helix.ManySearchCategories, out1 error)
	SearchChannels(arg1 *helix.SearchChannelsParams) (out0 helix.ManySearchChannels, out1 error)
	SendChatAnnouncement(arg1 *helix.SendChatAnnouncementParams) (_ *helix.SendChatAnnouncementResponse, out1 error)
	SendChatMessage(arg1 *helix.SendChatMessageParams) (out0 helix.ManyChatMessages, out1 error)
	SendExtensionChatMessage(arg1 *helix.ExtensionSendChatMessageParams) (_ *helix.ExtensionSendChatMessageResponse, out1 error)
	SendExtensionPubSubMessage(arg1 *helix.ExtensionSendPubSubMessageParams) (_ *helix.ExtensionSendPubSubMessageResponse, out1 error)
	SendShoutout(arg1 *helix.SendShoutoutParams) (_ *helix.SendShoutoutResponse, out1 error)
	SendUserWhisper(arg1 *helix.SendUserWhisperParams) (_ *helix.SendUserWhisperResponse, out1 error)
	SetAppAccessToken(arg1 string) 
	SetExtensionRequiredConfiguration(arg1 *helix.ExtensionSetRequiredConfigurationParams) (_ *helix.ExtensionSetRequiredConfigurationResponse, out1 error)
	SetExtensionSegmentConfig(arg1 *helix.ExtensionSetConfigurationParams) (_ *helix.ExtensionSetConfigurationResponse, out1 error)
	SetExtensionSignedJWTToken(arg1 string) 
	SetRedirectURI(arg1 string) 
	SetRefreshToken(arg1 string) 
	SetUserAccessToken(arg1 string) 
	SetUserAgent(arg1 string) 
	StartCommercial(arg1 *helix.StartCommercialParams) (out0 helix.ManyAdDetails, out1 error)
	StartRaid(arg1 *helix.StartRaidParams) (out0 helix.StartRaidResponse, out1 error)
	UnbanUser(arg1 *helix.UnbanUserParams) (_ *helix.UnbanUserResponse, out1 error)
	UnblockUser(arg1 *helix.UnblockUserParams) (_ *helix.BlockUserResponse, out1 error)
	UpdateChannelCustomRewardsRedemptionStatus(arg1 *helix.UpdateChannelCustomRewardsRedemptionStatusParams) (out0 helix.ManyChannelCustomRewardsRedemptions, out1 error)
	UpdateChatSettings(arg1 *helix.UpdateChatSettingsParams) (out0 helix.ManyChatSettings, out1 error)
	UpdateCustomReward(arg1 *helix.UpdateChannelCustomRewardsParams) (out0 helix.ManyChannelCustomRewards, out1 error)
	UpdateDropsEntitlements(arg1 *helix.UpdateDropsEntitlementsParams) (out0 helix.ManyUpdatedEntitlementSet, out1 error)
	UpdateSchedule(arg1 *helix.UpdateScheduleParams) (_ *helix.UpdateScheduleResponse, out1 error)
	UpdateScheduleSegment(arg1 *helix.UpdateScheduleSegmentParams) (out0 helix.UpdateScheduleSegmentData, out1 error)
	UpdateUser(arg1 *helix.UpdateUserParams) (out0 helix.ManyUsers, out1 error)
	UpdateUserChatColor(arg1 *helix.UpdateUserChatColorParams) (_ *helix.UpdateUserChatColorResponse, out1 error)
	UpdateUserExtensions(arg1 *helix.UpdateUserExtensionsPayload) (out0 helix.UserActiveExtensionSet, out1 error)
	ValidateToken(arg1 string) (out0 bool, out1 *helix.ValidateTokenResponse, out2 error)
}
